routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//Route::get('/', function () {
//    return view('layout');
//});
//Route::resource('agences', 'AgenceController');
//Route::resource('regionals', 'RegionalController');
//Route::resource('centrals', 'CentralController');
//Route::resource('structures/{type_id}', 'StructureController');
Auth::routes();
Route::get('/', 'HomeController@index')->name('home');
Route::middleware(['web'])->group(function () {



    Route::get('historiques', 'HistoryController@index');
    Route::resource('user', 'UserController');
    Route::put('user/{id}/edit', 'UserController@password')->name('user.password');
    Route::resource('document', 'DocumentController');
    Route::resource('nomenclature', 'NomenclatureController');
    Route::resource('calendrier', 'CalendrierController');
    Route::get('versement', 'VersementController@index')->name('versement.index');
    Route::post('versement', 'VersementController@decision')->name('versement.decision');
    Route::get('demande', 'DemandeController@index')->name('demande.index');
    Route::post('demande/{id}', 'DemandeController@decision')->name('demande.decision');

    Route::get('/ajax/structurestype/{type?}', 'UserController@StructuresType')->name('ajax.structurestype');
    Route::get('structures/{type_id}', 'StructureController@index')->name('structure.index');
    Route::get('structures/{type_id}/create', 'StructureController@create')->name('structure.create');
    Route::post('structures/{type_id}', 'StructureController@store')->name('structure.store');
    Route::get('structures/{type_id}/{structure}/edit', 'StructureController@edit')->name('structure.edit');
    Route::put('structures/{type_id}/{structure}', 'StructureController@update')->name('structure.update');
    Route::get('structures/{type_id}/{structure}', 'StructureController@show')->name('structure.show');
    Route::delete('structures/{type_id}/{structure}', 'StructureController@destroy')->name('structure.delete');

    Route::get('consultation', 'ConsultationController@index')->name('consultation.index');
    Route::post('consultation/create', 'ConsultationController@store')->name('consultation.store');
    Route::get('consultation/create', 'ConsultationController@create')->name('consultation.create');
    Route::post('consultation/{id}', 'ConsultationController@decision')->name('consultation.decision');


    Route::get('enlevement/demandes', 'EnlevementController@demandes')->name('enlevement.demandes');
    Route::put('enlevement/demandes/{enlevement}', 'EnlevementController@date')->name('enlevement.date');
    Route::get('enlevement/calendar', 'EnlevementController@calendar')->name('enlevement.calendar');
    Route::resource('enlevement', 'EnlevementController');


});

app/Nomenclature.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Nomenclature extends Model
{
    public function documents()
    {
        return $this->hasMany('App\Document');
    }
}

app/Http/Controllers/NomenclatureController.php
<?php

namespace App\Http\Controllers;

use App\Nomenclature;
use Illuminate\Http\Request;

class NomenclatureController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $nomenclatures=Nomenclature::all();
        return  view('nomenclatures.index',compact('nomenclatures'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return  view('nomenclatures.create');
    }


    public function store(Request $request)
    {
        $nomenclature=new Nomenclature();
        $nomenclature->code=$request->code;
        $nomenclature->designation=$request->designation;
        $nomenclature->age1=json_encode(array('year' => $request->annee1, 'month' => $request->mois1, 'day' => $request->jour1));
        $nomenclature->age2=json_encode(array('year' => $request->annee2, 'month' => $request->mois2, 'day' => $request->jour2));
        $nomenclature->age3=json_encode(array('year' => $request->annee3, 'month' => $request->mois3, 'day' => $request->jour3));
        $nomenclature->save();
        return redirect(route('nomenclature.index'))->with('message','Nomenclature '.$nomenclature->code.' a été crée avec succès ');
    }


    public function show(Nomenclature $nomenclature)
    {
        return view('nomenclatures.show',compact('nomenclature'));

    }

    public function edit(Nomenclature $nomenclature)
    {
        return view('nomenclatures.edit',compact('nomenclature'));
    }

    public function update(Request $request, Nomenclature $nomenclature)
    {
        $nomenclature->code=$request->code;
        $nomenclature->designation=$request->designation;
        $nomenclature->age1=json_encode(array('year' => $request->annee1, 'month' => $request->mois1, 'day' => $request->jour1));
        $nomenclature->age2=json_encode(array('year' => $request->annee2, 'month' => $request->mois2, 'day' => $request->jour2));
        $nomenclature->age3=json_encode(array('year' => $request->annee3, 'month' => $request->mois3, 'day' => $request->jour3));
        $nomenclature->update();
        return redirect(route('nomenclature.index'))->with('message','Nomenclature '.$nomenclature->code.' a été modifiée avec succès ');;
    }

    public function destroy(Nomenclature $nomenclature)
    {
        $code=$nomenclature->code;
        $nomenclature->delete();
        return redirect(route('nomenclature.index'))->with('message','Nomenclature '.$code.' a été supprimée avec succès ');
    }
}

resources/views/nomenclatures/create.blade.php
@extends('layout')
@section('content')
    <div class="page-header card">
        <div class="row align-items-end">
            <div class="col-lg-8">
                <div class="page-header-title">
                    <i class="icofont
                    icofont-file-exe
                        bg-c-blue"></i>
                    <div class="d-inline">
                        <h4>Nomenclatures</h4>
                        <span>Créer Une<code style="text-transform: uppercase">Nomenclature</code></span>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="page-header-breadcrumb">
                    <ul class="breadcrumb-title">
                        <li class="breadcrumb-item">
                            <a href="/">
                                <i class="icofont icofont-home"></i>
                            </a>
                        </li>
                        <li class="breadcrumb-item">
                            <a href="#">Créer Une Nomenclature</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="page-body">
        <div class="row">
            <div class="col-sm-12">
                <!-- Basic Form Inputs card start -->
                <div class="card">
                    <div class="card-block">
                        <h4 class="sub-title">Formulaire de Modification</h4>
                        <form method="post" action="{{route('nomenclature.store')}}">
                            @csrf
                            <div class="form-group row">
                                <label class="col-sm-2 col-form-label">Code</label>
                                <div class="col-sm-10">
                                    <input name="code" type="text" class="form-control">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-sm-2 col-form-label">Désignation</label>
                                <div class="col-sm-10">
                                    <input name="designation" type="text" class="form-control" placeholder="Type your title in Placeholder">
                                </div>
                            </div>
                            <h4 class="sub-title">Dates Conservations 1ére age</h4>

                            <div class="form-group row d-flex justify-content-start">
                                <label class="col-sm-1 col-form-label">Année</label>
                                <div class="col-sm-2">
                                    <select name="annee1" class="form-control">
                                        @for($i=0;$i<5;$i++)
                                            <option value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                                <label class="col-sm-1 col-form-label">Mois</label>
                                <div class="col-sm-2">
                                    <select name="mois1" class="form-control">
                                        @for($i=0;$i<11;$i++)
                                            <option value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                                <label class="col-sm-1 col-form-label">jour</label>
                                <div class="col-sm-2">
                                    <select name="jour1" class="form-control">
                                        @for($i=0;$i<29;$i++)
                                            <option value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                            </div>
                            <h4 class="sub-title">Dates Conservations 2éme age</h4>
                            <div class="form-group row">

                                <label class="col-sm-1 col-form-label">Année</label>
                                <div class="col-sm-2">
                                    <select name="annee2" class="form-control">
                                        @for($i=0;$i<5;$i++)
                                            <option value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                                <label class="col-sm-1 col-form-label">Mois</label>
                                <div class="col-sm-2">
                                    <select name="mois2" class="form-control">
                                        @for($i=0;$i<11;$i++)
                                            <option value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                                <label class="col-sm-1 col-form-label">jour</label>
                                <div class="col-sm-2">
                                    <select name="jour2" class="form-control">
                                        @for($i=0;$i<29;$i++)
                                            <option value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                            </div>
                            <h4 class="sub-title">Dates Conservations 3éme age</h4>
                            <div class="form-group row">

                                <label class="col-sm-1 col-form-label">Année</label>
                                <div class="col-sm-2">
                                    <select name="annee3" class="form-control">
                                        @for($i=0;$i<5;$i++)
                                            <option value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                                <label class="col-sm-1 col-form-label">Mois</label>
                                <div class="col-sm-2">
                                    <select name="mois3" class="form-control">
                                        @for($i=0;$i<11;$i++)
                                            <option value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                                <label class="col-sm-1 col-form-label">jour</label>
                                <div class="col-sm-2">
                                    <select name="jour3" class="form-control">
                                        @for($i=0;$i<29;$i++)
                                            <option value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                            </div>
                            <div class="text-center">
                            <button type="submit" class="col-md-3 btn btn-out-dashed btn-success btn-square">Créer</button>
                            </div>
                        </form>
                    </div>
                </div>
                <!-- Basic Form Inputs card end -->
            </div>
        </div>

    </div>
@endsection

resources/views/nomenclatures/edit.blade.php
@extends('layout')
@section('content')
    <div class="page-header card">
        <div class="row align-items-end">
            <div class="col-lg-8">
                <div class="page-header-title">
                    <i class="icofont
                    icofont-file-exe
                        bg-c-blue"></i>
                    <div class="d-inline">
                        <h4>Nomenclatures</h4>
                        <span>Modifier Une<code style="text-transform: uppercase">Nomenclature</code></span>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="page-header-breadcrumb">
                    <ul class="breadcrumb-title">
                        <li class="breadcrumb-item">
                            <a href="/">
                                <i class="icofont icofont-home"></i>
                            </a>
                        </li>
                        <li class="breadcrumb-item">
                            <a href="#">Modifier Une Nomenclature</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="page-body">
        <div class="row">
            <div class="col-sm-12">
                <!-- Basic Form Inputs card start -->
                <div class="card">
                    <div class="card-block">
                        <h4 class="sub-title">Formulaire de Modification</h4>
                        <form method="post" action="{{route('nomenclature.store')}}">
                            @csrf
                            <div class="form-group row">
                                <label class="col-sm-2 col-form-label">Code</label>
                                <div class="col-sm-10">
                                    <input name="code" value="{{$nomenclature->code}}" type="text" class="form-control">
                                </div>
                            </div>
                            <div class="form-group row">
                                <label class="col-sm-2 col-form-label">Désignation</label>
                                <div class="col-sm-10">
                                    <input name="designation" value="{{$nomenclature->designation}}" type="text" class="form-control" placeholder="Type your title in Placeholder">
                                </div>
                            </div>
                            <h4 class="sub-title">Dates Conservations 1ére age</h4>

                            <div class="form-group row d-flex justify-content-start">
                                <label class="col-sm-1 col-form-label">Année</label>
                                <div class="col-sm-2">
                                    <select name="annee1" class="form-control">
                                        @for($i=0;$i<5;$i++)
                                            <option {{json_decode($nomenclature->age1)->year==$i ? 'selected' :''}} value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                                <label class="col-sm-1 col-form-label">Mois</label>
                                <div class="col-sm-2">
                                    <select name="mois1" class="form-control">
                                        @for($i=0;$i<11;$i++)
                                            <option {{json_decode($nomenclature->age1)->month==$i ? 'selected' :''}} value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                                <label class="col-sm-1 col-form-label">jour</label>
                                <div class="col-sm-2">
                                    <select name="jour1" class="form-control">
                                        @for($i=0;$i<29;$i++)
                                            <option {{json_decode($nomenclature->age1)->day==$i ? 'selected' :''}} value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                            </div>
                            <h4 class="sub-title">Dates Conservations 2éme age</h4>
                            <div class="form-group row">

                                <label class="col-sm-1 col-form-label">Année</label>
                                <div class="col-sm-2">
                                    <select name="annee2" class="form-control">
                                        @for($i=0;$i<5;$i++)
                                            <option {{json_decode($nomenclature->age2)->year==$i ? 'selected' :''}} value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                                <label class="col-sm-1 col-form-label">Mois</label>
                                <div class="col-sm-2">
                                    <select name="mois1" class="form-control">
                                        @for($i=0;$i<11;$i++)
                                            <option {{json_decode($nomenclature->age2)->month==$i ? 'selected' :''}} value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                                <label class="col-sm-1 col-form-label">jour</label>
                                <div class="col-sm-2">
                                    <select name="jour2" class="form-control">
                                        @for($i=0;$i<29;$i++)
                                            <option {{json_decode($nomenclature->age2)->day==$i ? 'selected' :''}} value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                            </div>
                            <h4 class="sub-title">Dates Conservations 3éme age</h4>
                            <div class="form-group row">

                                <label class="col-sm-1 col-form-label">Année</label>
                                <div class="col-sm-2">
                                    <select name="annee3" class="form-control">
                                        @for($i=0;$i<5;$i++)
                                            <option {{json_decode($nomenclature->age3)->year==$i ? 'selected' :''}} value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                                <label class="col-sm-1 col-form-label">Mois</label>
                                <div class="col-sm-2">
                                    <select name="mois3" class="form-control">
                                        @for($i=0;$i<11;$i++)
                                            <option {{json_decode($nomenclature->age3)->month==$i ? 'selected' :''}} value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                                <label class="col-sm-1 col-form-label">jour</label>
                                <div class="col-sm-2">
                                    <select name="jour3" class="form-control">
                                        @for($i=0;$i<29;$i++)
                                            <option {{json_decode($nomenclature->age3)->day==$i ? 'selected' :''}} value="{{$i}}">{{$i}}</option>
                                        @endfor
                                    </select>
                                </div>
                            </div>
                            <div class="text-center">
                                <button type="submit" class="col-md-3 btn btn-out-dashed btn-success btn-square">Modifier</button>
                            </div>
                        </form>
                    </div>
                </div>
                <!-- Basic Form Inputs card end -->
            </div>
        </div>

    </div>
@endsection

resources/views/nomenclatures/index.blade.php
@extends('layout')
@section('nom')

@endsection
@section('content')
    <div class="page-header card">
        <div class="row align-items-end">
            <div class="col-lg-8">
                <div class="page-header-title">
                    <i class="icofont
                    icofont-file-exe
                        bg-c-blue"></i>
                    <div class="d-inline">
                        <h4>Nomenclature</h4>
                        <span>Liste Des <code style="text-transform: uppercase">Nomenclatures</code></span>
                    </div>
                </div>
            </div>
            <div class="col-lg-4">
                <div class="page-header-breadcrumb">
                    <ul class="breadcrumb-title">
                        <li class="breadcrumb-item">
                            <a href="/">
                                <i class="icofont icofont-home"></i>
                            </a>
                        </li>
                        <li class="breadcrumb-item">
                            <a href="#">Liste des Nomenclatures</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </div>
    <div class="page-body">
        <div class="row">
            <div class="col-sm-12">
                <!-- DOM/Jquery table start -->
                <div class="card">

                    <div class="card-block">
                        <a href="{{route('nomenclature.create')}}" type="button" id="addRow" class="btn btn-primary m-b-20 float-lg-right">+ Créer Une Nouvelle Nomenclature
                        </a>
                        <div class="table-responsive dt-responsive">
                            <table id="dom-jqry" class="table table-striped table-bordered nowrap">
                                <thead>
                                <tr>
                                    <th>code</th>
                                    <th>Désignation</th>
                                    <th>Conservation 1ére age</th>
                                    <th>Conservation 2éme age</th>
                                    <th>Conservation 3éme age</th>
{{--                                    <th>Nombre d'utilisation</th>--}}
                                    <th>Actions</th>
                                </tr>
                                </thead>
                                <tbody>
                                @foreach($nomenclatures as $nomenclature)
                                    <tr>
                                        <td>{{$nomenclature->code}}</td>
                                        <td>{{$nomenclature->designation}}</td>
                                        <td>Année:{{json_decode($nomenclature->age1)->year}},Mois:{{json_decode($nomenclature->age1)->month}},Jour:{{json_decode($nomenclature->age1)->day}}</td>
                                        <td>Année:{{json_decode($nomenclature->age2)->year}},Mois:{{json_decode($nomenclature->age2)->month}},Jour:{{json_decode($nomenclature->age2)->day}}</td>
                                        <td>Année:{{json_decode($nomenclature->age3)->year}},Mois:{{json_decode($nomenclature->age3)->month}},Jour:{{json_decode($nomenclature->age3)->day}}</td>
{{--                                        <td></td>--}}
                                        <td>
                                            <a href="{{route('nomenclature.show',$nomenclature->id)}}" class="badge badge-md bg-success"><i class="fa fa-eye"></i></a>
                                            <a href="{{route('nomenclature.edit',$nomenclature->id)}}" class="badge badge-md bg-info"><i class="fa fa-pencil"></i></a>
                                            <a href="#" data-toggle="modal" data-target="#delete{{$nomenclature->id}}" class="badge badge-md bg-danger"><i class="fa fa-trash"></i></a>
                                        </td>
                                    </tr>
                                    <div class="modal fade" id="delete{{$nomenclature->id}}" tabindex="-1" role="dialog">
                                        <div class="modal-dialog" role="document">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h4 class="modal-title">Confirmation de Suppression</h4>
                                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                        <span aria-hidden="true">&times;</span>
                                                    </button>
                                                </div>
                                                <div class="modal-body">
                                                    <h5>Etes vous sûr de vouloir Supprimer cette Nomenclature "{{$nomenclature->designation}}"?</h5>
                                                </div>
                                                <div class="modal-footer">
                                                    <form id="form"  method="post" action="{{route('nomenclature.destroy',$nomenclature->id)}}">
                                                        @csrf
                                                        @method('delete')
                                                        <button type="button" class="btn btn-info waves-effect " data-dismiss="modal">Non</button>
                                                        <button type="submit" class="btn btn-danger waves-effect waves-light ">Oui</button>

                                                    </form>

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                @endforeach
                                </tbody>
                                <tfoot>
                                <tr>
                                    <th>code</th>
                                    <th>Désignation</th>
                                    <th>Conservation 1ére age</th>
                                    <th>Conservation 1ére age</th>
                                    <th>Conservation 1ére age</th>
{{--                                    <th>Nombre d'utilisation</th>--}}
                                    <th>Actions</th>
                                </tr>
                                </tfoot>
                            </table>
                        </div>
                    </div>
                </div>
                <!-- DOM/Jquery table end -->
            </div>
        </div>
    </div>
@endsection